Bug 32930 - Search in LongDescription of app
Search in LongDescription of app
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.2
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Dirk Wiesenthal
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 11:11 CEST by Dirk Wiesenthal
Modified: 2013-11-19 06:43 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2013-10-21 11:11:24 CEST
... or something like that. Something that is hidden but can be searched.

Example: Open App Center, search for "UCC" -> empty!
Comment 1 Dirk Wiesenthal univentionstaff 2013-10-22 17:21:49 CEST
Another one: UVMM
Comment 2 Stefan Gohmann univentionstaff 2013-10-23 21:57:58 CEST
I think the LongDescription should be included in the search:


$ grep UCC *.ini
ucc_20130429.ini:LongDescription=Univention Corporate Client (UCC) is an enterprise Linux distribution
ucc_20130429.ini:LongDescription=Univention Corporate Client (UCC) ist eine Enterprise Linux-Distribution für
$ grep UVMM *.ini
uvmm.ini:LongDescription=UCS Virtual Machine Manager (UVMM) is a management system for
uvmm.ini:LongDescription=UCS Virtual Machine Manager (UVMM) ist ein Managementsystem
$
Comment 3 Dirk Wiesenthal univentionstaff 2013-10-23 22:35:42 CEST
Yes, solves all my problems and even more

UCC -> found
UVMM -> found
Windows -> Samba3 and Samba4

Fixed in
  univention-management-console-module-appcenter 3.0.47-1.206.201310232221
  univention-management-console-frontend 3.0.124-1.771.201310232224
Comment 4 Alexander Kläser univentionstaff 2013-10-24 10:04:06 CEST
Searching for "windows" does not show samba4 in the search results. Searching in LongDescription should fix this, as well.
Comment 5 Dirk Wiesenthal univentionstaff 2013-10-24 10:29:14 CEST
(In reply to Alexander Kläser from comment #4)
> Searching for "windows" does not show samba4 in the search results.
> Searching in LongDescription should fix this, as well.

Yes.

(In reply to Dirk Wiesenthal from comment #3)
> Windows -> Samba3 and Samba4
Comment 6 Stefan Gohmann univentionstaff 2013-10-25 21:56:19 CEST
Test: OK
Changelog: OK
Comment 7 Stefan Gohmann univentionstaff 2013-11-19 06:43:17 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".